function I = EvalCostIntegral(alpha0,beta0,alpha1,beta1,in5,in6,in7,in8,in9,in10,in11)
%EvalCostIntegral
%    I = EvalCostIntegral(ALPHA0,BETA0,ALPHA1,BETA1,IN5,IN6,IN7,IN8,IN9,IN10,IN11)

%    This function was generated by the Symbolic Math Toolbox version 9.1.
%    11-Oct-2023 12:56:18

D_vec1 = in11(1,:);
D_vec2 = in11(2,:);
D_vec3 = in11(3,:);
D_vec4 = in11(4,:);
D_vec5 = in11(5,:);
D_vec6 = in11(6,:);
nk0_vec1 = in7(1,:);
nk0_vec2 = in7(2,:);
nk0_vec3 = in7(3,:);
nk0_vec4 = in7(4,:);
nk0_vec5 = in7(5,:);
nk0_vec6 = in7(6,:);
nk1_vec1 = in10(1,:);
nk1_vec2 = in10(2,:);
nk1_vec3 = in10(3,:);
nk1_vec4 = in10(4,:);
nk1_vec5 = in10(5,:);
nk1_vec6 = in10(6,:);
p0_vec1 = in5(1,:);
p0_vec2 = in5(2,:);
p0_vec3 = in5(3,:);
p0_vec4 = in5(4,:);
p0_vec5 = in5(5,:);
p0_vec6 = in5(6,:);
p1_vec1 = in8(1,:);
p1_vec2 = in8(2,:);
p1_vec3 = in8(3,:);
p1_vec4 = in8(4,:);
p1_vec5 = in8(5,:);
p1_vec6 = in8(6,:);
t0_vec1 = in6(1,:);
t0_vec2 = in6(2,:);
t0_vec3 = in6(3,:);
t0_vec4 = in6(4,:);
t0_vec5 = in6(5,:);
t0_vec6 = in6(6,:);
t1_vec1 = in9(1,:);
t1_vec2 = in9(2,:);
t1_vec3 = in9(3,:);
t1_vec4 = in9(4,:);
t1_vec5 = in9(5,:);
t1_vec6 = in9(6,:);
t2 = alpha0.^2;
t3 = alpha0.^3;
t4 = alpha1.^2;
t6 = alpha1.^3;
t8 = beta0.^2;
t9 = beta1.^2;
t10 = t0_vec1.^2;
t11 = t0_vec2.^2;
t12 = t0_vec3.^2;
t13 = t0_vec4.^2;
t14 = t0_vec5.^2;
t15 = t0_vec6.^2;
t16 = t1_vec1.^2;
t17 = t1_vec2.^2;
t18 = t1_vec3.^2;
t19 = t1_vec4.^2;
t20 = t1_vec5.^2;
t21 = t1_vec6.^2;
t5 = t2.^2;
t7 = t4.^2;
et1 = D_vec1.*p0_vec1.^2.*7.2e+2+D_vec2.*p0_vec2.^2.*7.2e+2+D_vec3.*p0_vec3.^2.*7.2e+2+D_vec4.*p0_vec4.^2.*7.2e+2+D_vec5.*p0_vec5.^2.*7.2e+2+D_vec1.*p1_vec1.^2.*7.2e+2+D_vec6.*p0_vec6.^2.*7.2e+2+D_vec2.*p1_vec2.^2.*7.2e+2+D_vec3.*p1_vec3.^2.*7.2e+2+D_vec4.*p1_vec4.^2.*7.2e+2+D_vec5.*p1_vec5.^2.*7.2e+2+D_vec6.*p1_vec6.^2.*7.2e+2-D_vec1.*p0_vec1.*p1_vec1.*1.44e+3-D_vec2.*p0_vec2.*p1_vec2.*1.44e+3-D_vec3.*p0_vec3.*p1_vec3.*1.44e+3-D_vec4.*p0_vec4.*p1_vec4.*1.44e+3-D_vec5.*p0_vec5.*p1_vec5.*1.44e+3-D_vec6.*p0_vec6.*p1_vec6.*1.44e+3+D_vec1.*t2.*t10.*1.92e+2+D_vec2.*t2.*t11.*1.92e+2+D_vec3.*t2.*t12.*1.92e+2+D_vec1.*t8.*t10.*9.0+D_vec4.*t2.*t13.*1.92e+2;
et2 = D_vec1.*t4.*t16.*1.92e+2+D_vec2.*t8.*t11.*9.0+D_vec5.*t2.*t14.*1.92e+2+D_vec2.*t4.*t17.*1.92e+2+D_vec3.*t8.*t12.*9.0+D_vec6.*t2.*t15.*1.92e+2+D_vec3.*t4.*t18.*1.92e+2+D_vec4.*t8.*t13.*9.0+D_vec1.*t9.*t16.*9.0+D_vec4.*t4.*t19.*1.92e+2+D_vec5.*t8.*t14.*9.0+D_vec2.*t9.*t17.*9.0+D_vec5.*t4.*t20.*1.92e+2+D_vec6.*t8.*t15.*9.0+D_vec3.*t9.*t18.*9.0+D_vec6.*t4.*t21.*1.92e+2+D_vec4.*t9.*t19.*9.0+D_vec5.*t9.*t20.*9.0+D_vec6.*t9.*t21.*9.0+D_vec1.*nk0_vec1.^2.*t5.*9.0+D_vec2.*nk0_vec2.^2.*t5.*9.0+D_vec3.*nk0_vec3.^2.*t5.*9.0+D_vec4.*nk0_vec4.^2.*t5.*9.0+D_vec5.*nk0_vec5.^2.*t5.*9.0+D_vec6.*nk0_vec6.^2.*t5.*9.0+D_vec1.*nk1_vec1.^2.*t7.*9.0+D_vec2.*nk1_vec2.^2.*t7.*9.0+D_vec3.*nk1_vec3.^2.*t7.*9.0;
et3 = D_vec4.*nk1_vec4.^2.*t7.*9.0+D_vec5.*nk1_vec5.^2.*t7.*9.0+D_vec6.*nk1_vec6.^2.*t7.*9.0+D_vec1.*alpha0.*beta0.*t10.*7.2e+1+D_vec2.*alpha0.*beta0.*t11.*7.2e+1+D_vec3.*alpha0.*beta0.*t12.*7.2e+1+D_vec4.*alpha0.*beta0.*t13.*7.2e+1-D_vec1.*alpha1.*beta1.*t16.*7.2e+1+D_vec5.*alpha0.*beta0.*t14.*7.2e+1-D_vec2.*alpha1.*beta1.*t17.*7.2e+1+D_vec6.*alpha0.*beta0.*t15.*7.2e+1-D_vec3.*alpha1.*beta1.*t18.*7.2e+1-D_vec4.*alpha1.*beta1.*t19.*7.2e+1-D_vec5.*alpha1.*beta1.*t20.*7.2e+1-D_vec6.*alpha1.*beta1.*t21.*7.2e+1+D_vec1.*alpha0.*p0_vec1.*t0_vec1.*7.2e+2+D_vec2.*alpha0.*p0_vec2.*t0_vec2.*7.2e+2+D_vec3.*alpha0.*p0_vec3.*t0_vec3.*7.2e+2+D_vec4.*alpha0.*p0_vec4.*t0_vec4.*7.2e+2-D_vec1.*alpha0.*p1_vec1.*t0_vec1.*7.2e+2+D_vec1.*alpha1.*p0_vec1.*t1_vec1.*7.2e+2+D_vec5.*alpha0.*p0_vec5.*t0_vec5.*7.2e+2-D_vec2.*alpha0.*p1_vec2.*t0_vec2.*7.2e+2;
et4 = D_vec2.*alpha1.*p0_vec2.*t1_vec2.*7.2e+2+D_vec6.*alpha0.*p0_vec6.*t0_vec6.*7.2e+2-D_vec3.*alpha0.*p1_vec3.*t0_vec3.*7.2e+2+D_vec3.*alpha1.*p0_vec3.*t1_vec3.*7.2e+2-D_vec4.*alpha0.*p1_vec4.*t0_vec4.*7.2e+2+D_vec4.*alpha1.*p0_vec4.*t1_vec4.*7.2e+2-D_vec1.*alpha1.*p1_vec1.*t1_vec1.*7.2e+2-D_vec5.*alpha0.*p1_vec5.*t0_vec5.*7.2e+2+D_vec5.*alpha1.*p0_vec5.*t1_vec5.*7.2e+2-D_vec2.*alpha1.*p1_vec2.*t1_vec2.*7.2e+2-D_vec6.*alpha0.*p1_vec6.*t0_vec6.*7.2e+2+D_vec6.*alpha1.*p0_vec6.*t1_vec6.*7.2e+2-D_vec3.*alpha1.*p1_vec3.*t1_vec3.*7.2e+2-D_vec4.*alpha1.*p1_vec4.*t1_vec4.*7.2e+2-D_vec5.*alpha1.*p1_vec5.*t1_vec5.*7.2e+2-D_vec6.*alpha1.*p1_vec6.*t1_vec6.*7.2e+2+D_vec1.*beta0.*p0_vec1.*t0_vec1.*1.2e+2+D_vec2.*beta0.*p0_vec2.*t0_vec2.*1.2e+2+D_vec3.*beta0.*p0_vec3.*t0_vec3.*1.2e+2+D_vec4.*beta0.*p0_vec4.*t0_vec4.*1.2e+2-D_vec1.*beta0.*p1_vec1.*t0_vec1.*1.2e+2;
et5 = D_vec1.*beta1.*p0_vec1.*t1_vec1.*-1.2e+2+D_vec5.*beta0.*p0_vec5.*t0_vec5.*1.2e+2-D_vec2.*beta0.*p1_vec2.*t0_vec2.*1.2e+2-D_vec2.*beta1.*p0_vec2.*t1_vec2.*1.2e+2+D_vec6.*beta0.*p0_vec6.*t0_vec6.*1.2e+2-D_vec3.*beta0.*p1_vec3.*t0_vec3.*1.2e+2-D_vec3.*beta1.*p0_vec3.*t1_vec3.*1.2e+2-D_vec4.*beta0.*p1_vec4.*t0_vec4.*1.2e+2-D_vec4.*beta1.*p0_vec4.*t1_vec4.*1.2e+2+D_vec1.*beta1.*p1_vec1.*t1_vec1.*1.2e+2-D_vec5.*beta0.*p1_vec5.*t0_vec5.*1.2e+2-D_vec5.*beta1.*p0_vec5.*t1_vec5.*1.2e+2+D_vec2.*beta1.*p1_vec2.*t1_vec2.*1.2e+2-D_vec6.*beta0.*p1_vec6.*t0_vec6.*1.2e+2-D_vec6.*beta1.*p0_vec6.*t1_vec6.*1.2e+2+D_vec3.*beta1.*p1_vec3.*t1_vec3.*1.2e+2+D_vec4.*beta1.*p1_vec4.*t1_vec4.*1.2e+2+D_vec5.*beta1.*p1_vec5.*t1_vec5.*1.2e+2+D_vec6.*beta1.*p1_vec6.*t1_vec6.*1.2e+2+D_vec1.*nk0_vec1.*p0_vec1.*t2.*1.2e+2+D_vec2.*nk0_vec2.*p0_vec2.*t2.*1.2e+2+D_vec3.*nk0_vec3.*p0_vec3.*t2.*1.2e+2+D_vec4.*nk0_vec4.*p0_vec4.*t2.*1.2e+2;
et6 = D_vec1.*nk0_vec1.*p1_vec1.*t2.*-1.2e+2-D_vec1.*nk1_vec1.*p0_vec1.*t4.*1.2e+2+D_vec5.*nk0_vec5.*p0_vec5.*t2.*1.2e+2-D_vec2.*nk0_vec2.*p1_vec2.*t2.*1.2e+2-D_vec2.*nk1_vec2.*p0_vec2.*t4.*1.2e+2+D_vec6.*nk0_vec6.*p0_vec6.*t2.*1.2e+2-D_vec3.*nk0_vec3.*p1_vec3.*t2.*1.2e+2-D_vec3.*nk1_vec3.*p0_vec3.*t4.*1.2e+2-D_vec4.*nk0_vec4.*p1_vec4.*t2.*1.2e+2-D_vec4.*nk1_vec4.*p0_vec4.*t4.*1.2e+2+D_vec1.*nk1_vec1.*p1_vec1.*t4.*1.2e+2-D_vec5.*nk0_vec5.*p1_vec5.*t2.*1.2e+2-D_vec5.*nk1_vec5.*p0_vec5.*t4.*1.2e+2+D_vec2.*nk1_vec2.*p1_vec2.*t4.*1.2e+2-D_vec6.*nk0_vec6.*p1_vec6.*t2.*1.2e+2-D_vec6.*nk1_vec6.*p0_vec6.*t4.*1.2e+2+D_vec3.*nk1_vec3.*p1_vec3.*t4.*1.2e+2+D_vec4.*nk1_vec4.*p1_vec4.*t4.*1.2e+2+D_vec5.*nk1_vec5.*p1_vec5.*t4.*1.2e+2+D_vec6.*nk1_vec6.*p1_vec6.*t4.*1.2e+2+D_vec1.*nk0_vec1.*t3.*t0_vec1.*7.2e+1+D_vec2.*nk0_vec2.*t3.*t0_vec2.*7.2e+1+D_vec3.*nk0_vec3.*t3.*t0_vec3.*7.2e+1;
et7 = D_vec4.*nk0_vec4.*t3.*t0_vec4.*7.2e+1+D_vec5.*nk0_vec5.*t3.*t0_vec5.*7.2e+1+D_vec6.*nk0_vec6.*t3.*t0_vec6.*7.2e+1-D_vec1.*nk1_vec1.*t6.*t1_vec1.*7.2e+1-D_vec2.*nk1_vec2.*t6.*t1_vec2.*7.2e+1-D_vec3.*nk1_vec3.*t6.*t1_vec3.*7.2e+1-D_vec4.*nk1_vec4.*t6.*t1_vec4.*7.2e+1-D_vec5.*nk1_vec5.*t6.*t1_vec5.*7.2e+1-D_vec6.*nk1_vec6.*t6.*t1_vec6.*7.2e+1+D_vec1.*alpha0.*alpha1.*t0_vec1.*t1_vec1.*3.36e+2+D_vec2.*alpha0.*alpha1.*t0_vec2.*t1_vec2.*3.36e+2+D_vec3.*alpha0.*alpha1.*t0_vec3.*t1_vec3.*3.36e+2+D_vec4.*alpha0.*alpha1.*t0_vec4.*t1_vec4.*3.36e+2+D_vec5.*alpha0.*alpha1.*t0_vec5.*t1_vec5.*3.36e+2+D_vec6.*alpha0.*alpha1.*t0_vec6.*t1_vec6.*3.36e+2-D_vec1.*alpha0.*beta1.*t0_vec1.*t1_vec1.*4.8e+1+D_vec1.*alpha1.*beta0.*t0_vec1.*t1_vec1.*4.8e+1-D_vec2.*alpha0.*beta1.*t0_vec2.*t1_vec2.*4.8e+1+D_vec2.*alpha1.*beta0.*t0_vec2.*t1_vec2.*4.8e+1-D_vec3.*alpha0.*beta1.*t0_vec3.*t1_vec3.*4.8e+1+D_vec3.*alpha1.*beta0.*t0_vec3.*t1_vec3.*4.8e+1-D_vec4.*alpha0.*beta1.*t0_vec4.*t1_vec4.*4.8e+1+D_vec4.*alpha1.*beta0.*t0_vec4.*t1_vec4.*4.8e+1;
et8 = D_vec5.*alpha0.*beta1.*t0_vec5.*t1_vec5.*-4.8e+1+D_vec5.*alpha1.*beta0.*t0_vec5.*t1_vec5.*4.8e+1-D_vec6.*alpha0.*beta1.*t0_vec6.*t1_vec6.*4.8e+1+D_vec6.*alpha1.*beta0.*t0_vec6.*t1_vec6.*4.8e+1-D_vec1.*beta0.*beta1.*t0_vec1.*t1_vec1.*6.0-D_vec2.*beta0.*beta1.*t0_vec2.*t1_vec2.*6.0-D_vec3.*beta0.*beta1.*t0_vec3.*t1_vec3.*6.0-D_vec4.*beta0.*beta1.*t0_vec4.*t1_vec4.*6.0-D_vec5.*beta0.*beta1.*t0_vec5.*t1_vec5.*6.0-D_vec6.*beta0.*beta1.*t0_vec6.*t1_vec6.*6.0+D_vec1.*alpha1.*nk0_vec1.*t2.*t1_vec1.*4.8e+1-D_vec1.*alpha0.*nk1_vec1.*t4.*t0_vec1.*4.8e+1+D_vec2.*alpha1.*nk0_vec2.*t2.*t1_vec2.*4.8e+1-D_vec2.*alpha0.*nk1_vec2.*t4.*t0_vec2.*4.8e+1+D_vec3.*alpha1.*nk0_vec3.*t2.*t1_vec3.*4.8e+1-D_vec3.*alpha0.*nk1_vec3.*t4.*t0_vec3.*4.8e+1+D_vec4.*alpha1.*nk0_vec4.*t2.*t1_vec4.*4.8e+1-D_vec4.*alpha0.*nk1_vec4.*t4.*t0_vec4.*4.8e+1+D_vec5.*alpha1.*nk0_vec5.*t2.*t1_vec5.*4.8e+1-D_vec5.*alpha0.*nk1_vec5.*t4.*t0_vec5.*4.8e+1+D_vec6.*alpha1.*nk0_vec6.*t2.*t1_vec6.*4.8e+1-D_vec6.*alpha0.*nk1_vec6.*t4.*t0_vec6.*4.8e+1+D_vec1.*beta0.*nk0_vec1.*t2.*t0_vec1.*1.8e+1+D_vec2.*beta0.*nk0_vec2.*t2.*t0_vec2.*1.8e+1;
et9 = D_vec3.*beta0.*nk0_vec3.*t2.*t0_vec3.*1.8e+1+D_vec4.*beta0.*nk0_vec4.*t2.*t0_vec4.*1.8e+1-D_vec1.*beta1.*nk0_vec1.*t2.*t1_vec1.*6.0-D_vec1.*beta0.*nk1_vec1.*t4.*t0_vec1.*6.0+D_vec5.*beta0.*nk0_vec5.*t2.*t0_vec5.*1.8e+1-D_vec2.*beta1.*nk0_vec2.*t2.*t1_vec2.*6.0-D_vec2.*beta0.*nk1_vec2.*t4.*t0_vec2.*6.0+D_vec6.*beta0.*nk0_vec6.*t2.*t0_vec6.*1.8e+1-D_vec3.*beta1.*nk0_vec3.*t2.*t1_vec3.*6.0-D_vec3.*beta0.*nk1_vec3.*t4.*t0_vec3.*6.0-D_vec4.*beta1.*nk0_vec4.*t2.*t1_vec4.*6.0-D_vec4.*beta0.*nk1_vec4.*t4.*t0_vec4.*6.0+D_vec1.*beta1.*nk1_vec1.*t4.*t1_vec1.*1.8e+1-D_vec5.*beta1.*nk0_vec5.*t2.*t1_vec5.*6.0-D_vec5.*beta0.*nk1_vec5.*t4.*t0_vec5.*6.0+D_vec2.*beta1.*nk1_vec2.*t4.*t1_vec2.*1.8e+1-D_vec6.*beta1.*nk0_vec6.*t2.*t1_vec6.*6.0-D_vec6.*beta0.*nk1_vec6.*t4.*t0_vec6.*6.0+D_vec3.*beta1.*nk1_vec3.*t4.*t1_vec3.*1.8e+1+D_vec4.*beta1.*nk1_vec4.*t4.*t1_vec4.*1.8e+1+D_vec5.*beta1.*nk1_vec5.*t4.*t1_vec5.*1.8e+1+D_vec6.*beta1.*nk1_vec6.*t4.*t1_vec6.*1.8e+1-D_vec1.*nk0_vec1.*nk1_vec1.*t2.*t4.*6.0-D_vec2.*nk0_vec2.*nk1_vec2.*t2.*t4.*6.0-D_vec3.*nk0_vec3.*nk1_vec3.*t2.*t4.*6.0;
et10 = D_vec4.*nk0_vec4.*nk1_vec4.*t2.*t4.*-6.0-D_vec5.*nk0_vec5.*nk1_vec5.*t2.*t4.*6.0-D_vec6.*nk0_vec6.*nk1_vec6.*t2.*t4.*6.0;
I = et1+et2+et3+et4+et5+et6+et7+et8+et9+et10;
